%huygens_batch
% Runs Huygens' construction simulation ina  loop

function huygens_batch

%Number of apertures
N = 1;

%Aperture width in wavelengths
w = 1:10;

%Spacing of aperture in wavelengths
s = 10;

%Aperture wall thickness /wavelengths
t = 0.1;

%Number of wavelengths
W = 7;

%Set x and y limits
ylimits = [-t/2,W+1];
xlimits = [-W-0.5*N*s,0.5*N*s+W];

%Run huygens simulation in a loop, varying w
for n=1:10
    huygens(w(n),s,N,xlimits,ylimits);
end

%End of code